package com.lovenav.service;

import com.alibaba.fastjson2.JSONArray;
import com.lovenav.entity.UrlCateList;

import java.util.List;

public interface UrlCateListService {


    public int selectAndInsertUrlCate(String email , String cateName , String parent);
    public List<UrlCateList> selectUrListByUserId(Integer userId);

    public String countCateContainUrlNumber(String userId);

    public JSONArray getUrl(String userId);
    public String selectUrListCateByUrlCateId(Integer cateId);
    public UrlCateList selectByPrimaryKey(Integer id);

    public int insertSelective(UrlCateList urlCateList);
    public int updateByUrlCateList(UrlCateList urlCateList);


    public List<String> selectChildrenByCateId(Integer id);

    public int deleteByPrimaryKey(Integer id);

}
